JSIREGISTER(1)

NAME
jsiregister - A command line tool for registering a mapping between an instance property and a string value.

SYNOPSIS
jsiregister <instance> <property> <value>

DESCRIPTION
jsiregister is a simple script used to register a mapping between an instance property and a string value. Basically, it creates the file $HOME/.janosvm/registry/<instance>/<property> with the contents of value.

EXAMPLES

To register the JSI address for a program running on another machine.

    [dexter@lab janosvm] jsiregister janosvm jsi.id tcp:irontown/8192

RETURN VALUES

0   Everything worked fine.

1   There was a problem with the arguments.

FILES
$HOME/.janosvm/registry/* Registered names and values

NOTES

JanosVM and its tools are avilable on the web at http://www.cs.utah.edu/flux/janos.

AUTHOR
Jsiregister is written by the Janos project in the University of Utah Flux Group.

COPYING
Jsiregister is distributed under the GNU GPL. For full details, see the file license.terms in the source distribution for full details.